# Uses of Enum Class
org.apache.solr.common.SolrException.ErrorCode

Packages that use SolrException.ErrorCode
Package
Description
org.apache.solr.client.solrj.impl
Implementations of some client API classes, and their friends.
org.apache.solr.common
Common classes reused on both clients & server for dealing with `documents to be indexed` and `result documents`.

## Uses of SolrException.ErrorCode in org.apache.solr.client.solrj.impl

Methods in org.apache.solr.client.solrj.impl with parameters of type SolrException.ErrorCode
Modifier and Type
Method
Description
`protected CloudSolrClient.RouteException`
CloudSolrClient.`getRouteException(SolrException.ErrorCode serverError, NamedList<Throwable> exceptions, Map<String,? extends LBSolrClient.Req> routes)`
Constructors in org.apache.solr.client.solrj.impl with parameters of type SolrException.ErrorCode
Modifier
Constructor
Description
``
`RouteException(SolrException.ErrorCode errorCode, NamedList<Throwable> throwables, Map<String,? extends LBSolrClient.Req> routes)`

## Uses of SolrException.ErrorCode in org.apache.solr.common

Methods in org.apache.solr.common that return SolrException.ErrorCode
Modifier and Type
Method
Description
`static SolrException.ErrorCode`
SolrException.ErrorCode.`getErrorCode(int c)`
`static SolrException.ErrorCode`
SolrException.ErrorCode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SolrException.ErrorCode[]`
SolrException.ErrorCode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.solr.common with parameters of type SolrException.ErrorCode
Modifier
Constructor
Description
``
`SolrErrorWrappingException(SolrException.ErrorCode code, String msg, List<Map<String,Object>> errs)`
``
`SolrException(SolrException.ErrorCode code, String msg)`
``
`SolrException(SolrException.ErrorCode code, String msg, Throwable th)`
``
`SolrException(SolrException.ErrorCode code, Throwable th)`